//用户自定义拓展，需要在fair_basic_config.json中注册
//会在基础js加载之后加载
let fairConfigCallBack = {};
let fairConfigCallBackId = 0;
let _fairConfigCommonFunc = function (resp, methodName) {
   let respMap = {};
   respMap = mapOrSetToObject(resp);
   let id = 'FairConfig$' + (++fairConfigCallBackId);
   let requestParameter = {};
   requestParameter['className'] = "FairConfig#"+methodName;
   fairConfigCallBack[id] = respMap['callback'];
   respMap['callId'] = id;
   requestParameter['funcName'] = 'invokePlugin';
   requestParameter['pageName'] = respMap['pageName'];
   requestParameter['args'] = respMap;
   let map = JSON.stringify(requestParameter);
   invokeFlutterCommonChannel(map, (resultStr) => {
       let responseMap = JSON.parse(resultStr);
       let data = responseMap['data']
       let id = responseMap['callId']
       if (callBack[id] === null) {
           return;
       }

       let callback = fairConfigCallBack[id];
       if (callback != null) {
           callback(convertObjectLiteralToSetOrMap(data));
       }
   })
};

let FairConfig = function () {
    return {
        getNum: function (resp) {
            _fairConfigCommonFunc(resp, 'getNum');
        },
        getString: function (resp) {
            _fairConfigCommonFunc(resp, 'getString');
        },
        getColor: function (resp) {
            _fairConfigCommonFunc(resp, 'getColor');
        }
    }
}

