//用户自定义拓展，需要在fair_basic_config.json中注册
//会在基础js加载之后加载
let fairRouterCallBack = {};
let fairRouterCallBackId = 0;

let FairRouter = function () {
    return {
        open: function (resp) {
            let respMap = {};
            respMap = mapOrSetToObject(resp);
            let id = 'FairRouter$' + (++fairRouterCallBackId);
            let requestParameter = {};
            requestParameter['className'] = "FairRouter#open";
            fairRouterCallBack[id] = respMap['callback'];
            respMap['callId'] = id;
            requestParameter['funcName'] = 'invokePlugin';
            requestParameter['pageName'] = respMap['pageName'];
            requestParameter['args'] = respMap;
            let map = JSON.stringify(requestParameter);
            invokeFlutterCommonChannel(map, (resultStr) => {
                let responseMap = JSON.parse(resultStr);
                let data = responseMap['data']
                let id = responseMap['callId']
                if (callBack[id] === null) {
                    return;
                }

                let callback = fairRouterCallBack[id];
                if (callback != null) {
                    callback(data);
                }
            })
        }
    }
}

