//用户自定义拓展，需要在fair_basic_config.json中注册
//会在基础js加载之后加载
let fairStoreCallBack = {};
let fairStoreCallBackId = 0;
let _fairStoreCommonFunc = function (resp, methodName) {
   let respMap = {};
   respMap = mapOrSetToObject(resp);
   let id = 'FairStore$' + (++fairStoreCallBackId);
   let requestParameter = {};
   requestParameter['className'] = "FairStore#" + methodName;
   fairStoreCallBack[id] = respMap['callback'];
   respMap['callId'] = id;
   requestParameter['funcName'] = 'invokePlugin';
   requestParameter['pageName'] = respMap['pageName'];
   requestParameter['args'] = respMap;
   let map = JSON.stringify(requestParameter);
   invokeFlutterCommonChannel(map, (resultStr) => {
       let responseMap = JSON.parse(resultStr);
       let data = responseMap['data']
       let id = responseMap['callId']
       if (callBack[id] === null) {
           return;
       }

       let callback = fairStoreCallBack[id];
       if (callback != null) {
           callback(data);
       }
   })
};

let FairStore = function () {
    return {
        get: function (resp) {
            _fairStoreCommonFunc(resp, 'get');
        },
        put: function (resp) {
            _fairStoreCommonFunc(resp, 'put');
        },
        close: function (resp) {
            _fairStoreCommonFunc(resp, 'close');
        }
    }
}

