// ISportStepInterface.aidl
package com.systoon.lifedata.stepcounter;

interface ISportStepInterface {
    /**
     * 获取当前时间运动步数
     */
     int getCurrentTimeSportStep();

     /**
      * 根据时间和天数获取步数列表
      * 例如：
      * startDate = 2018-01-15
      * days = 3
      * 获取 2018-01-15、2018-01-16、2018-01-17三天的步数
      *
      * @param startDate 格式yyyy-MM-dd
      * @param days
      * @return
      */
      String getTodaySportStepArrayByStartDateAndDays(String date, int days);
}
